# Delete Storage instance

> Media API · Storage

```http
DELETE https://app.mk.io/api/v1/projects/{project_name}/media/storage/{storage_name}
```

Deletes our record of your Storage instance.  
This operation **does not** delete your cloud storage, just our record of it.  
This operation will not complete successfully if any assets are associated with the Storage instance.

RBAC Capability Required: `infra.storage.delete`

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Path parameters

| Name            | Type   | Required | Description |
|-----------------|--------|----------|-------------|
| `project_name`  | string | Yes      | —           |
| `storage_name`  | string | Yes      | —           |

## Example request

```bash
curl -X DELETE "https://app.mk.io/api/v1/projects/{project_name}/media/storage/{storage_name}" \
  -H "Authorization: Bearer <token>"
```

## Responses

### 204 — Storage instance deleted

No response body.

### 400 — Bad Request

- `error` · object · **Required** — Pertinent information about the error  
  - `code` · string · **Required** — The error code.  
  - `detail` · string · **Required** — The error message.  
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.  
    - `[any key]` · any — map of additional properties  
- `ref` · string · **Required** — A reference to the request that caused the error.  
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 401 — Unauthorized

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 403 — Forbidden

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 404 — Not Found

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 409 — Conflict

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 429 — Too Many Requests

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 500 — Internal Server Error

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

---

Source spec: `media-api` · operationId: `[delete]_/api/v1/projects/{project_name}/media/storage/{storage_name}`
